## org.apache.mahout.benchmark
Class BenchmarkRunner

    java.lang.Object
      org.apache.mahout.benchmark.BenchmarkRunner

    public final class BenchmarkRunner

extends Object

Nested Class Summary
`static class` `BenchmarkRunner.BenchmarkFn`
`static class` `BenchmarkRunner.BenchmarkFnD`

Constructor Summary
`BenchmarkRunner(long leadTimeMs, long maxTimeMs)`

Method Summary
`TimingStatistics` `benchmark(BenchmarkRunner.BenchmarkFn function)`
`TimingStatistics` `benchmarkD(BenchmarkRunner.BenchmarkFnD function)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BenchmarkRunner

    public BenchmarkRunner(long leadTimeMs,
                           long maxTimeMs)

Method Detail

### benchmark

    public TimingStatistics benchmark(BenchmarkRunner.BenchmarkFn function)

### benchmarkD

    public TimingStatistics benchmarkD(BenchmarkRunner.BenchmarkFnD function)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.